Skip to main content
GET
/
browser
Content
curl --request GET \
  --url https://render.joinmassive.com/browser \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://render.joinmassive.com/browser"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://render.joinmassive.com/browser', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"
{
"id": "21cb972e-0e0f-47bb-9ce9-65b99e9cee77"
}
"Authorization header must be provided"
"Credit balance is 0; top up at https://dashboard.joinmassive.com/plans"
"Captcha was detected"
"Domain is nonexistant"
"Character counts must be no more than 255"
"Rate limit was exceeded; please retry in 180 seconds"
"Unknown error occurred"
"Service is autoscaling; please retry in 60 seconds"
"Request(s) timed out"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string<uuid>

The identifier returned by this endpoint of the queued request to retrieve; if given, all other params are ignored; either an ID or URL is required.

Example:

"21cb972e-0e0f-47bb-9ce9-65b99e9cee77"

url
string<uri>

The URL of the page to browse; any unsafe characters require URL encoding; either a URL or ID is required.

Maximum string length: 2047
Example:

"https://example.com/"

difficulty
enum<string>
default:low

The difficulty pool to attempt to access the URL from.

Available options:
low,
medium,
high
Example:

"low"

speed
enum<string>
default:light

The speed to attempt to access the URL at, where ridiculous is 30 percent faster on average than light speed.

Available options:
light,
ridiculous,
ludicrous (planned)
Example:

"light"

device
string

The name as returned by the devices resource [blocked] of the device to emulate browsing on (these names are case insensitive but must include form- or URL-encoded spaces and punctuation marks); device emulation is unused by default.

Example:

null

country
string

The two-letter ISO code of the country to browse from (these codes are case insensitive); a random country is used by default.

Example:

null

subdivision
string

The alphanumeric second part (proceeding the separator) of a first-level subdivision code in the (prerequisite) country to browse from (these codes are case insensitive); a random subdivision is used by default.

Example:

null

city
string

The commonly spelled name of the city in the (prerequisite) country to browse from (these names are temporarily case sensitive and required to include form- or URL-encoded spaces and punctuation marks); a random city is used by default.

Example:

null

captcha
enum<string>
default:solved

The intended resolution of any detected captcha, where rejected results in a 403 response.

Available options:
solved,
ignored,
rejected
Example:

"rejected"

readiness
enum<string>
default:load

The standard ready event to await before snapshotting browsed content.

Available options:
load,
domcontentloaded
Example:

"load"

delay
number

The number of supplemental seconds to delay before snapshotting browsed content; no delay is used by default.

Required range: 0.1 <= x <= 10
Example:

null

format
enum<string>
default:rendered

The format to output to.

Available options:
rendered,
raw,
markdown
Example:

"markdown"

expiration
integer
default:1

The age in days of when to consider cached content expired, where 0 disables caching.

Required range: 0 <= x <= 1
Example:

0

mode
enum<string>
default:sync

The synchronous or asynchronous mode of content retrieval (retrieve async content by providing the returned ID).

Available options:
sync,
async
Example:

"sync"

callback
string

The encoded HTTP or HTTPS callback URL or Amazon SQS queue URL or ARN to notify when the (prerequisite) async content has been retrieved; any SQS queue must grant sqs:SendMessage permission to the arn:aws:iam::180363035301:role/api-instance AWS principal.

Maximum string length: 2047
Example:

"https%3A%2F%2Fwebhook.site%2F02e249f8-1faf-4fab-bcf5-78ce683e85a8"

Response

The page content.

The response is of type string.